
## Atelier

### Un organisateur de voyages veux pouvoir remplir son véhicule de 8 places avant de savoir si il doit organiser le voyage ou pas. Chaque voyageur a un nom, un prénom, un numero de place, une date de naissance, et un indicateur qui précise si il a payé ou pas. Il n'a pas besoin d'avoir payé pour avoir un numéro de place.


### Ecrire l'objet voyageur avec ces propriétés et au moins une fonction pour pouvoir modifier l'état payé.

```
objet voyageur 
  variable privée nom, prenom : chaine;
  variable privée date_de_naissance : date;
  variable privée numero_de_place : entier;
  variable privée payé : booléen;

  methode constructeur(nom,prenom,date)
    ceci->nom = nom;
    ceci->date_de_naissance = date;
    ceci->prenom = prenom;
    ceci->numero_de_place = 0;
    ceci->payé = faux;
  fin methode

  methode paiement_recu() 
    ceci->payé = vrai;
  fin méthode;

  methode a_payé()
    renvoyer ceci->payé
  fin methode

  methode attribuer_place(numero)
    si numero > 0
      ceci->numero_de_place = numero
    fin si
  fin methode

  methode place()
    renvoyer ceci->numero_de_place;
  fin methode

  methoode identite()
    renvoyer ceci->prenom ~ " " ~ ceci->nom ~ " né le " ~ ceci->date_de_naissance;
  fin methode
fin objet
``` 

### Ecrire un objet chauffeur héritant de voyageur, mais comme il est dans l'équipage, il est forcément indiqué comme ayant payé.

``` 
objet chauffeur 
``` 

### Ecrire le pseudo code permettant de mettre dans un tableau au minimum un chauffeur et un client. Sachant quon ne peu pas avoir plus d'un chauffeur. Puis de vérifier si tout le monde a payé ou pas.

